Error 500 after changing Date Format or Time Format

2010-10-24 16:33 - Paul Heyer

Status: Closed Start date: 2010-10-24

Priority: High Due date:  

Assignee:  % Done: 100%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.0.2

Description

hi!

i set up a redmine 1.0.2 a while ago. because most of it's users speak german we decided to set (in administration > settings >

display) default language to "german", "Start calendars on" to "monday", the time to "15:45" and the date format to "24.10.2010"

because this fits best to our needs.

meanwhile there are a bunch of projects and issues in this installation and there are some english speaking users who should join

our redmine soon.

we decided to change the settings to default language "english" and "Start calendars on", time and date format to "Based on User's

language". After doing that we get an Error 500 on each page that should display time/date etc. like for e.g. 

http://example.com/projects/projectname/activity

i found out that it does NOT depend on the "Start calendars on" setting, but as soon as i change time and/or date format redmine

does not work any longer. this bug is totally reproducible.

Related issues:

Related to Redmine - Defect #5608: broken with i18n 0.4.0 Closed 2010-05-28

History

#1 - 2010-10-24 18:41 - Jean-Philippe Lang

Could you please attach your error stack trace (see SubmittingBugs).

#2 - 2010-10-24 19:08 - Paul Heyer

sorry, yes sure!

here is what i did to produce this error:

i just changed the date format from my localized format "d.m.Y" to "Based on user's language" and saved.

afterwards i tried to reload the activity page of my "inbox" project. see the log below.

thanks,

paul

Processing SettingsController#edit (for MY_IP at 2010-10-24 19:03:29) [POST]

  Parameters: {"commit"=>"Speichern", "action"=>"edit", "authenticity_token"=>"2VcfI7y_CHANGEDABIT_6dvrPRz8xzC

s=", "settings"=>{"user_format"=>"firstname_lastname", "start_of_week"=>"1", "date_format"=>"", "default_langu

age"=>"de", "gravatar_default"=>"", "gravatar_enabled"=>"1", "time_format"=>"%H:%M", "ui_theme"=>"basecamp"}, 

"controller"=>"settings", "tab"=>"display"}

Settings cache cleared.

Redirected to https://MY_SERVER.COM/settings/edit?tab=display

Completed in 150ms (DB: 113) | 302 Found [https://MY_SERVER.COM/settings/edit?tab=display]

Processing SettingsController#edit (for MY_IP at 2010-10-24 19:03:30) [GET]

  Parameters: {"action"=>"edit", "controller"=>"settings", "tab"=>"display"}

Rendering template within layouts/admin

Rendering settings/edit

Completed in 244ms (View: 213, DB: 28) | 200 OK [https://MY_SERVER.COM/settings/edit?tab=display]

Processing ProjectsController#activity (for MY_IP at 2010-10-24 19:03:34) [GET]

  Parameters: {"action"=>"activity", "id"=>"inbox", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/activity

ActionView::TemplateError (missing interpolation argument in "%{count}.%m.%Y" ({:object=>Sat, 25 Sep 2010} giv

en)) on line #2 of app/views/projects/activity.rhtml:

1: <h2><%= @author.nil? ? l(:label_activity) : l(:label_user_activity, link_to_user(@author)) %></h2>

2: <p class="subtitle"><%= l(:label_date_from_to, :start => format_date(@date_to - @days), :end => format_date
(@date_to-1)) %></p>

3: 

4: <div id="activity">

5: <% @events_by_day.keys.sort.reverse.each do |day| %>

    /usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:186:in `interpolate_without_deprecated_syn

tax'

    /usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:49:in `translate'

    /usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n.rb:152:in `t'

    /usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:62:in `localize'

    /usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n.rb:231:in `l'

    lib/redmine/i18n.rb:40:in `format_date'

    app/views/projects/activity.rhtml:2:in `_run_rhtml_app47views47projects47activity46rhtml'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/abstract_request_handler.rb:210:in `main_loop'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/railz/application_spawner.rb:441:in `start_request_ha

ndler'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/railz/application_spawner.rb:381:in `handle_spawn_app

lication'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/utils.rb:252:in `safe_fork'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/railz/application_spawner.rb:377:in `handle_spawn_app

lication'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/abstract_server.rb:163:in `start'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/railz/application_spawner.rb:222:in `start'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/spawn_manager.rb:253:in `spawn_rails_application'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/spawn_manager.rb:247:in `spawn_rails_application'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/spawn_manager.rb:246:in `spawn_rails_application'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/spawn_manager.rb:145:in `spawn_application'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/spawn_manager.rb:278:in `handle_spawn_application'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/local/appserver/mod_rails/lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /PATH_TO_MY_INSTALLATION/public/500.html (500 Internal Server Error)

#3 - 2010-10-24 22:37 - Jean-Philippe Lang

- Category changed from Administration to Translations

Looks like #5608 which was supposed to be fixed in 1.0.2.

#4 - 2010-10-24 22:38 - Jean-Philippe Lang

Are you using 1.0.2 stable release?

#5 - 2010-10-24 22:49 - Paul Heyer

yes, i do.

#6 - 2010-10-24 23:35 - Paul Heyer

- Status changed from New to Resolved

- % Done changed from 0 to 100

seems to be solved!

i'm 100 % sure that there was definitely 1.0.2 running (i checked the git commits) and i updated a week ago.

the solution for me was that i upgraded/updated again, everything is fine now.

i totally do not understand how this could happen.

thanks for your help,

paul

#7 - 2010-10-25 12:35 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Cant reproduce
